
package org.mule.module.esper.config.spring;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;


/**
 * Registers bean definitions parsers for handling elements in <code>http://www.mulesoft.org/schema/mule/esper</code>.
 * 
 */
public class EsperModuleNamespaceHandler
    extends NamespaceHandlerSupport
{


    /**
     * Invoked by the {@link DefaultBeanDefinitionDocumentReader} after construction but before any custom elements are parsed. 
     * @see NamespaceHandlerSupport#registerBeanDefinitionParser(String, BeanDefinitionParser)
     * 
     */
    public void init() {
        registerBeanDefinitionParser("config", new EsperModuleConfigDefinitionParser());
        registerBeanDefinitionParser("send", new SendDefinitionParser());
        registerBeanDefinitionParser("filter", new FilterDefinitionParser());
        registerBeanDefinitionParser("listen", new ListenDefinitionParser());
    }

}
